#
# spec file for package addrwatch
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           addrwatch
Version:        1.0.1
Release:        lp150.1.3
Summary:        A tool for IPv4/IPv6 and Ethernet address pairing monitoring
License:        GPL-3.0
Group:          Productivity/Networking/Diagnostic
Url:            https://github.com/fln/addrwatch
Source0:        https://github.com/fln/addrwatch/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  autoconf >= 2.68
BuildRequires:  automake
BuildRequires:  libevent-devel
BuildRequires:  libpcap-devel
BuildRequires:  sqlite3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a tool similar to arpwatch. It main purpose is to monitor
network and log discovered Ethernet to IPv4/IPv6 address
pairings. It supports monitoring multiple network interfaces,
monitoring of VLAN tagged (802.1Q) packets, and can output to
stdout, plain text file, syslog, sqlite3 and MySQL. Addrwatch
tracks IPv6 addresses of hosts using IPv6 privacy extensions
(RFC4941).

The main difference between arpwatch and addrwatch is the format
of output files.

While arpwatch stores only current state of the pairings and
allows to send email notification when a pairing change occurs,
addrwatch do not keep persistent network pairings' state, but
instead logs all the events that allow pairing discovery.

%prep
%setup -q

%build
autoreconf -fi
%configure --enable-sqlite3 --bindir=%{_sbindir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
chmod -x scripts/dump2pcap.pl

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README.md scripts/dump2pcap.pl
%{_sbindir}/addrwatch
%{_sbindir}/addrwatch_stdout
%{_sbindir}/addrwatch_syslog
%{_mandir}/man8/addrwatch.8.gz

%changelog
* Wed May 17 2017 aloisio@gmx.com
- Update to version 1.0.1
- Dropped addrwatch-1.0-no_return_in_nonvoid.patch (merged
  upstream)
- Fixed source URL
* Thu Feb  2 2017 jengelh@inai.de
- Compact description a bit
* Fri Nov 11 2016 aloisio@gmx.com
- Added addrwatch-rpmlintrc as source
* Tue Nov  8 2016 aloisio@gmx.com
- Initial package (version 1.0)
